[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.Flat

Indicates if cells are displayed using a Flat appearance.

## Declaration

Source position: grids.pas line 1260

`protected property TCustomGrid.Flat : Boolean read FFlat write SetFlat default False;`

## Description

Flat is a Boolean property which indicates if the cells on the control are drawn using a "flat" drawing style. This causes the cells, including fixed headers, to have a thinner single-line border without any 3D relief regardless of the setting in TitleStyle.

The default value for the property is False. Changing the value in Flat causes the UpdateBorderStyle method to be called when BorderStyle is set to bsSingle. Invalidate is called and causes the control to be redrawn.

Flat is used in the DrawBorder method to determine the border drawing style and Canvas settings needed for the control.